<?php

namespace plugin\admin\app\controller;

use support\Request;
use support\Response;
use support\think\Db;

/**
 * 礼品记录
 *
 * @icon fa fa-circle-o
 */
class GiftOrderController extends Crud
{

    /**
     * GiftOrder模型对象
     * @var \app\model\GiftOrder
     */
    protected $model = null;
    protected $relationSearch = ['user','gift'];

    function __construct()
    {
        $this->model = new \app\model\GiftOrder();
        $statusList = $this->model->getStatusList();
        $this->assign("statusList", $statusList);
        $this->assignconfig("statusList", $statusList);
    }
}
